Echo Off
:Start
Cls
Echo.
Echo                      **************************************
Echo                      **             EZPOINT              **
Echo                      **  BinkleyTerm Point Installation  **
Echo                      **  Copyright 1989-90 by Ron Bemis  **
Echo                      **       All rights reserved.       **
Echo                      **************************************
Echo.

Rem Please send comments, suggestions, and improvements to Ron Bemis at
Rem FidoNet 124/1113.  I spent a lot of time creating this.  If you do
Rem modify this batch file, please leave my copyright notice above intact.
Rem I think I deserve that much.

Echo.
Echo                   At any point during this installation process,
Echo                   you may press Control-C to abort the procedure.
Echo.

Rem Clear the environment variables
Set X=
Set Bnt=
Set Bnd=
Set Bhx=
Set Bph=
Set Pwd=
Set Pnt=
Set Pnd=
Set Fir=
Set Sur=
Set Dr=
Set Bd=
Set Prt=
Set Col=
Set Ed=

Rem Make sure RSet is here
If Exist RSet.Exe Goto RSetOK
Echo There is no RSet.Exe in this directory!
Set X=Error
:RSetOK

Rem Make sure Binkley is here
If Exist BBig*.Zip Goto BtOK
Echo There is no BBig*.Zip in this directory!
Set X=Error
:BtOK

Rem Make sure EZPoint is here
If Exist EZPoint.Zip Goto EZPOK
Echo There is no EZPoint.Zip in this directory!
Set X=Error
:EZPOK

Rem Make sure X00 is here
If Exist X00*.Zip Goto X00OK
Echo There is no X00*.Zip in this directory!
Set X=Error
:X00OK

Rem Make sure Ctrl is here
If Exist Ctrl.Zip Goto CtrlOK
Echo There is no Ctrl.Zip in this directory!
Set X=Error
:CtrlOK

Rem Make sure Runbink is here
If Exist Runbink.Bat Goto RunOK
Echo There is no Runbink.Bat in this directory!
Set X=Error
:RunOK

Rem Make sure EDLIN is available
If Exist Test Del Test
Edlin>Test
If Exist Test Goto GotEdlin
Echo I can't find EDLIN in your PATH.
Set X=Error
:GotEdlin

Rem Make sure PKUNZIP is available
If Exist Test Del Test
PkUnZip>Test
If Exist Test Goto GotUnZip
Echo I can't find PKUNZIP in your PATH.
Set X=Error
:GotUnZip

Rem Make sure KEY-FAKE is available
If Exist Test Del Test
Key-Fake>Test
If Exist Test Goto KeyFakeOK
Echo I can't find KEY-FAKE in your PATH.
Set X=Error
:KeyFakeOK

Rem Check for errors
If Exist Test Del Test
If "%X%" == "Error" Goto Exit

RSet level(ver())
If Errorlevel 3 Goto GotDos
Echo You seem to be running a version of DOS earlier than V3.0.
Echo You may have problems using this installation procedure.
Echo.
:GotDos

RSet level(gt(env(),150))
If Errorlevel 1 Goto GotEnv
Echo You don't have enough environment space to run this batch file.
Echo You'll need about 150 bytes free for everything to work properly.
Echo Please clear out some space and run this batch file again.
Echo.
Goto Exit
:GotEnv

:DrSet
RSet Dr=up(char(On what drive will you be installing your point?,CcDdEeFfGgHhIi)):
If "%Dr%" == ":" Set Dr=C:
Echo.

RSet level(gt(free(%Dr%),750000))
If Errorlevel 1 Goto SpaceOK
RSet level(gt(free(%Dr%),400000))
If Errorlevel 1 Goto Warning
Echo Drive %Dr% has less than 400K of free space.
Echo You won't have enough room on this drive to install this software.
Echo Please free up some disk space and run this batch file again.
Echo.
Goto Exit
:Warning
Echo Drive %Dr% has less than 3/4 Megabyte of free space.
Echo Running the point software here might be a little tight.
Echo.
:SpaceOK

RSet Bnt=string(What is your BossNode's Net number?,5)
RSet level(len(%Bnt%))
If Not Errorlevel 1 Set Bnt=124
Echo.

RSet Bnd=string(What is your BossNode's Node number?,5)
RSet level(len(%Bnd%))
If Not Errorlevel 1 Set Bnd=1113
Echo.

RSet Bhx=concat(%Dr%\Bink\Out\,hex(%Bnt%),hex(%Bnd%))

RSet Bph=string(What is your BossNode's Phone number?,40)
RSet level(len(%Bph%))
If Not Errorlevel 1 Set Bph=231-3841
Echo.

Echo A password must be between 4 and 6 characters in length.
:NeedPwd
RSet Pwd=string(What password will you be using with your BossNode?,6)
RSet level(len(%Pwd%))
If Not Errorlevel 4 Goto NeedPwd
Echo.

RSet Pnt=string(What is your private PointNet number?,5)
RSet level(len(%Pnt%))
If Not Errorlevel 1 Set Pnt=9130
Echo.

:NeedPnd
RSet Pnd=string(What is your assigned Point Node number?,5)
RSet level(len(%Pnd%))
If Not Errorlevel 1 Goto NeedPnd
Echo.

:NeedName
RSet X=string(What is your first name?,20)
RSet level(len(%X%))
If Not Errorlevel 1 Goto NeedName
RSet Fir=concat(up(left(1,%X%)),low(mid(2,19,%X%)))
Echo.

RSet X=string(And your last name?,20)
RSet level(len(%X%))
If Not Errorlevel 1 Goto NeedName
RSet Sur=concat(up(left(1,%X%)),low(mid(2,19,%X%)))
Echo.

RSet Bd=string(What is the highest baud rate your modem supports?,5)
RSet level(len(%Bd%))
If Not Errorlevel 1 Set Bd=2400
Echo.

RSet Prt=char(On which COM port is your modem installed?,1234)
If "%Prt%" == "" Set Prt=1
Echo.

RSet Col=up(char(Do you have a Color monitor?,YyNn))
If Not "%Col%" == "Y" Set Col=
Echo.

RSet Ed=string(What command do you use to invoke your editor?,8)
RSet level(len(%Ed%))
If Not Errorlevel 1 Set Ed=EDLIN

Cls
Echo.
Echo.
Echo.
Echo Please read the following VERY carefully:
Echo.
Echo This software will be installed on drive %Dr%
Echo The highest baud rate your modem supports is %Bd%
Echo Your modem is installed on COM%Prt%
Echo Your BossNode is %Bnt%/%Bnd% and his phone number is %Bph%
Echo The password you will use with your BossNode is '%Pwd%'
Echo Your point number is %Pnt%/%Pnd% and your name is %Fir% %Sur%
If "%Col%" == "Y" Echo You have a color monitor
Echo Your editor is '%Ed%'
Echo.
RSet X=up(char(Is everything correct?,YyNn))
If Not "%X%" == "Y" Goto Start
Echo.
Echo.
Echo Okay, here goes!  Sit back and watch...

Rem Create the needed directories
If Not Exist %Dr%\Bink\Nul Md %Dr%\Bink
If Not Exist %Dr%\Bink\Bin\Nul Md %Dr%\Bink\Bin
If Not Exist %Dr%\Bink\In\Nul Md %Dr%\Bink\In
If Not Exist %Dr%\Bink\Out\Nul Md %Dr%\Bink\Out
If Not Exist %Dr%\Bink\Msg\Nul Md %Dr%\Bink\Msg
:DirsMade

Rem Create some small text files
If Exist %Dr%\Bink\Private.Doc Goto GotPriv
Echo This is a private system.>%Dr%\Bink\Private.Doc
:GotPriv
If Exist %Dr%\Bink\Request.Lst Goto GotReq
Echo %Dr%\Bink\In\*.*>%Dr%\Bink\Request.Lst
:GotReq
If Exist %Dr%\Bink\Fidouser.Lst Goto GotFido
Echo Bemis, Ron    1:124/1113>%Dr%\Bink\Fidouser.Lst
:GotFido
If Exist %Dr%\Bink\Userlist.Dog Goto GotUser
Echo Areafix        %Bnt%/%Bnd%>%Dr%\Bink\Userlist.Dog
:GotUser

Rem Install RSet
Copy RSet.Exe %Dr%\Bink\Bin

Rem Install Binkley
PkUnZip -o BBig* %Dr%\Bink\Bin BtBig.Exe Btctl.Exe
PkUnZip -o BBig* %Dr%\Bink Binkley.Lng

Rem Install EZPoint
PkUnZip -o EZPoint %Dr%\Bink\Bin EZPoint.Exe

Rem Install X00
PkUnZip -o X00* %Dr%\Bink\Bin X00.Sys

Rem Install Control files
PkUnZip -o Ctrl %Dr%\Bink

Rem Install Runbink.Bat
Copy Runbink.Bat %Dr%\Bink\Bin

Rem Create the Config.Dog file
Echo NAME  %Fir% %Sur%>%Dr%\Bink\Config.Dog
Echo NODE  1:%Pnt%/%Pnd%>>%Dr%\Bink\Config.Dog
Echo MAIL  %Dr%\Bink\Msg>>%Dr%\Bink\Config.Dog
Echo FILES %Dr%\Bink\In\>>%Dr%\Bink\Config.Dog

Rem Change parameters in Message.Txt
Key-Fake "1,9999R{bossnet}" 26 "%Bnt%" 13 "Ex" 13
Edlin %Dr%\Bink\Message.Txt>Nul
Key-Fake "1,9999R{bossnode}" 26 "%Bnd%" 13 "Ex" 13
Edlin %Dr%\Bink\Message.Txt>Nul
Key-Fake "1,9999R{firstname}" 26 "%Fir%" 13 "Ex" 13
Edlin %Dr%\Bink\Message.Txt>Nul
Key-Fake "1,9999R{pointnet}" 26 "%Pnt%" 13 "Ex" 13
Edlin %Dr%\Bink\Message.Txt>Nul
Key-Fake "1,9999R{pointnode}" 26 "%Pnd%" 13 "Ex" 13
Edlin %Dr%\Bink\Message.Txt>Nul
Key-Fake "1,9999R{root}" 26 "%Dr%\Bink" 13 "Ex" 13
Edlin %Dr%\Bink\Message.Txt>Nul
Del %Dr%\Bink\Message.Bak

Rem Change parameters in Binkley.Cfg
Echo Editing %Dr%\Bink\Binkley.Cfg.  Please wait...
Key-Fake "1,9999R{baudrate}" 26 "%Bd%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{bossnet}" 26 "%Bnt%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{bossnode}" 26 "%Bnd%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{bossphone}" 26 "%Bph%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{comport}" 26 "%Prt%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{firstname}" 26 "%Fir%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{password}" 26 "%Pwd%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{pointnet}" 26 "%Pnt%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{pointnode}" 26 "%Pnd%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{root}" 26 "%Dr%\Bink" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Key-Fake "1,9999R{surname}" 26 "%Sur%" 13 "Ex" 13
Edlin %Dr%\Bink\Binkley.Cfg>Nul
Del %Dr%\Bink\Binkley.Bak

Rem Change parameters in RunBink.Bat
Echo Editing %Dr%\Bink\Bin\RunBink.Bat.  Please wait...
Key-Fake "1,9999R{bosshex}" 26 "%Bhx%" 13 "Ex" 13
Edlin %Dr%\Bink\Bin\RunBink.Bat>Nul
Key-Fake "1,9999R{drive}" 26 "%Dr%" 13 "Ex" 13
Edlin %Dr%\Bink\Bin\RunBink.Bat>Nul
Key-Fake "1,9999R{password}" 26 "%Pwd%" 13 "Ex" 13
Edlin %Dr%\Bink\Bin\RunBink.Bat>Nul
Key-Fake "1,9999R{pointnet}" 26 "%Pnt%" 13 "Ex" 13
Edlin %Dr%\Bink\Bin\RunBink.Bat>Nul
Key-Fake "1,9999R{pointnode}" 26 "%Pnd%" 13 "Ex" 13
Edlin %Dr%\Bink\Bin\RunBink.Bat>Nul
Key-Fake "1,9999R{root}" 26 "%Dr%\Bink" 13 "Ex" 13
Edlin %Dr%\Bink\Bin\RunBink.Bat>Nul
Del %Dr%\Bink\Bin\RunBink.Bak

Rem Create C:\Autoexec.New, new lines for C:\Autoexec.Bat
Echo Add these lines to C:\Autoexec.Bat:> C:\Autoexec.New
Echo.>> C:\Autoexec.New
Echo Path %Dr%\Bink\Bin;...{whatever you had before}>> C:\Autoexec.New
Echo Set Bbs=%Dr%\Bink>> C:\Autoexec.New
Echo Set Binkley=%%BBS%%\>> C:\Autoexec.New
Echo.>> C:\Autoexec.New
Echo.>> C:\Autoexec.New
Echo ...and at the very end of the file:>> C:\Autoexec.New
Echo.>> C:\Autoexec.New
Echo RSet X=Up(Char(Start Binkley?,YyNn,3))>> C:\Autoexec.New
Echo If Not "%%X%%" == "N" Key-Fake "Runbink" 13>> C:\Autoexec.New

Rem Create C:\Config.New, new lines for C:\Config.Sys
Echo Add to or change C:\Config.Sys to include these lines:> C:\Config.New
Echo.>> C:\Config.New
Echo Break=On>> C:\Config.New
Echo Buffers=60>> C:\Config.New
Echo Files=30>> C:\Config.New
Echo Device=%Dr%\Bink\Bin\X00.Sys E>> C:\Config.New
 
Rem Set BBS and Binkley, switch to root directory, configure Bink and EZPoint
Set BBS=%Dr%\Bink
Set BINKLEY=%Dr%\Bink\
%Dr%
CD \Bink
Bin\EZPoint /S P %Dr%\Bink\In %Dr%\Bink\Out %Dr%\Bink\Msg ^ G Y
Bin\EZPoint /S W %Dr%\Bink\Message.Sav ^ G Y
Bin\EZPoint /S N 1 124 1113 N %Bnt% %Bnd% ^ G Y
Bin\EZPoint /S S Ron Bemis^Ron's EZPoint^"          -Ron^" ^ G Y
If Not "%Col%" == "Y" Goto Mono
Bin\EZPoint /S D ^ G Y
:Mono
Bin\EZPoint /S E %Ed%^ ^ G Y
Bin\EZPoint E %Fir% %Sur% %Bnt%/%Bnd%.%Pnd% Thanks for trying EZPoint!^ * C L ^ G Y
Bin\EZPoint /S N 1 %Pnt% %Pnd% Y %Bnt% %Bnd% ^ G Y
Bin\EZPoint /S S %Fir% %Sur%^%Fir%'s EZPoint^"          -%Fir%^" ^ G Y
Bin\BTCTL

Rem Notify the user of what he needs to change himself
Cls
Echo.
Echo.
Echo The file C:\Autoexec.New has been created.  It should be merged into
Echo your current C:\Autoexec.Bat.
Echo.
Echo The file C:\Config.New has been created.  It should be merged into
Echo your current C:\Config.Sys.
Echo.
Echo After editing these two files, you should reboot your system and you
Echo should be off and running!  Just type "RUNBINK" at the DOS prompt to
Echo start your point software.
Echo.
Echo When in Binkley's unattended mode, the functions keys will do the
Echo following things:
Echo          F1 - poll bossnode            F2 - scan all messages
Echo          F3 - make a file request      F4 - send a file to boss
Echo          F5 - read/write messages      F6 - process incoming mail
Echo          F7 - renumber/purge messages  F8 - add echomail conference(s)
Echo          F9 - delete echomail conf(s) F10 - park hard disk heads
Echo.
Echo Press Shift-PrtSc to print this screen.
Echo.
Echo.

:Exit
Rem Clear the environment variables
Set X=
Set Bnt=
Set Bnd=
Set Bhx=
Set Bph=
Set Pwd=
Set Pnt=
Set Pnd=
Set Fir=
Set Sur=
Set Dr=
Set Bd=
Set Prt=
Set Col=
Set Ed=
